Package org.eclipse.lemminx.settings

## Enum SchemaDocumentationType

- java.lang.Object
- - java.lang.Enum<SchemaDocumentationType>
  - - org.eclipse.lemminx.settings.SchemaDocumentationType

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemaDocumentationType>`

    public enum SchemaDocumentationType
    extends Enum<SchemaDocumentationType>

SchemaDocumentationType enum Defines enums managing the which XSD element content to display as documentation `documentation` XSD documentation element `appinfo` XSD appinfo element `all` XSD documentation and appinfo elements `none` none

### Enum Constant Summary

Enum Constants
`all`
`appinfo`
`documentation`
`none`

### Method Summary

All Methods Static Methods Concrete Methods
`static SchemaDocumentationType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SchemaDocumentationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### documentation

    public static final SchemaDocumentationType documentation

#### appinfo

    public static final SchemaDocumentationType appinfo

#### all

    public static final SchemaDocumentationType all

#### none

    public static final SchemaDocumentationType none

### Method Detail

#### values

    public static SchemaDocumentationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SchemaDocumentationType c : SchemaDocumentationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SchemaDocumentationType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null